% Separatrix model interface
%
% Separatrix Demo, Institute for Disease Modeling, May 2014

classdef ISeparatrixModel < handle
	properties (SetAccess = protected)
		Model_Name
		Parameter_Names
		Parameter_Ranges
		
		config
	end
	
	methods
		function obj = ISeparatrixModel(config)
			obj.config = config;
		end
	end
	
	methods (Abstract)		
		Outcomes = Sample(obj, points)
		Probability = Truth(obj, points)
		Separatrix = TrueSeparatrix(obj, interestLevel)
	end
end