% Choose points using LHS
%
% Separatrix Demo, Institute for Disease Modeling, May 2014

function Points = LHSPointSelection(NumPoints, NumDimensions, ParameterRanges)

edges(:,1)=linspace(0,1,NumPoints+1);
step = 1/NumPoints;

Points = zeros(NumPoints, NumDimensions);

% Initialize 1d matrix
Points(:,1) = ParameterRanges{1}.min + (ParameterRanges{1}.max-ParameterRanges{1}.min)*...
	(edges(randperm(NumPoints)) + step * rand(NumPoints,1));

for i = 2:NumDimensions
	Points(:,i) = ParameterRanges{i}.min + (ParameterRanges{i}.max-ParameterRanges{i}.min)*...
		(edges(randperm(NumPoints)) + step*rand(NumPoints,1));
end

end
