% Compute matrix of squared distances
%
% Separatrix Demo, Institute for Disease Modeling, May 2014

function D2 = computeD2(row_points, col_points)

	Nrows = size(row_points,1);
	Ncols = size(col_points,1);
	
	Ndim = size(row_points,2);
	
	D2 = zeros(Nrows, Ncols);
	for d = 1:Ndim
		D2 = D2 + (repmat(row_points(:,d), 1, Ncols) - repmat(col_points(:,d)', Nrows, 1)).^2;
	end
end