% Compute the interest distribution
% Integrate the Beta distribution from zero to Interest_Level
%
% Separatrix Demo, Institute for Disease Modeling, May 2014

function interestDistrib = computeInterestDistribution(alpha, beta, Interest_Level)

interestDistrib = zeros(length(alpha), 2);
for j = 1:length(alpha)
	tmp = betainc( [Interest_Level, 1], alpha(j), beta(j));
	% First component is mass below separatrix
	% Second component is mass above separatrix
	interestDistrib(j,:) = [tmp(1); diff(tmp)];
end

end