% Compute KL divergence between distributions in p and those in q
%
% Separatrix Demo, Institute for Disease Modeling, May 2014

function D_KL = computeKL(p, q)

D_KL = 0;
for si=1:length(p)
	delta_D_KL = log2( p(si,:) ./ q(si,:) ) * p(si,:)';
	if(isnan(delta_D_KL) || isinf(delta_D_KL))	% NaN
		domain = find( p(si,:) > 0 & q(si,:) > 0);
		delta_D_KL = log2( p(si,domain) ./ q(si,domain) ) * p(si,domain)';
	end
	D_KL = D_KL + delta_D_KL;
end
end